> ## Documentation Index
> Fetch the complete documentation index at: https://docs.events.intrace.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Alert State

> Update the workflow state of a triggered alert

## Request Body

```json theme={null}
{
  "state": "acked"
}
```


## OpenAPI

````yaml patch /v1/alerts/{alert_id}/state
openapi: 3.1.0
info:
  title: Intrace Events Monitoring API
  version: 0.1.0
  description: >
    External asset monitoring and event intelligence API derived from the
    internal

    Intrace events investigations platform.


    This public API is tenant-scoped by API key and intentionally does not
    expose

    internal identifiers such as case_id or investigation_id.
servers:
  - url: https://api.intrace.ai
security:
  - ApiKeyAuth: []
tags:
  - name: Assets
  - name: Threats
  - name: Incidents
  - name: Alerts
  - name: Reports
  - name: Event Intelligence
paths:
  /v1/alerts/{alert_id}/state:
    patch:
      tags:
        - Alerts
      summary: Update alert state
      operationId: updateAlertState
      parameters:
        - $ref: '#/components/parameters/AlertId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AlertStateUpdateRequest'
      responses:
        '200':
          description: Updated alert row.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Alert'
components:
  parameters:
    AlertId:
      name: alert_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    AlertStateUpdateRequest:
      type: object
      properties:
        state:
          type: string
          enum:
            - new
            - seen
            - acked
            - dismissed
      required:
        - state
    Alert:
      type: object
      properties:
        id:
          type: string
          format: uuid
        threat_id:
          type: string
          format: uuid
        threat_title:
          type: string
        alert_type:
          type: string
        severity:
          type: string
        title:
          type: string
        message:
          type: string
          nullable: true
        state:
          type: string
          enum:
            - new
            - seen
            - acked
            - dismissed
        rule_id:
          type: string
        rule_title:
          type: string
          nullable: true
        threat_type:
          type: string
          nullable: true
        threat_category:
          type: string
          nullable: true
        min_distance_km:
          type: number
          nullable: true
        max_distance_km:
          type: number
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - threat_id
        - threat_title
        - alert_type
        - severity
        - title
        - state
        - rule_id
        - created_at
        - updated_at
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````